const Label = require('./lib/Label')
const Client = require('./lib/Client')

async function main () {
  let client = new Client()
  // client.speed = 5
  // client.step = 0.001
  await client.connect()
  let label = new Label()
  client.create(label)
  await client.move(label).of(5)
  await client.change(label).toType("CS1")
  await client.move(label).toLine("staves.2")
  await client.move(label).of(5)
  await client.move(label).toLine("staves.3")
  await client.move(label).of(5)
  await client.move(label).toLine("staves.2")
  await client.move(label).of(5)
  await client.change(label).toType("CS2")
  await client.move(label).toLine("staves.3")
  await client.move(label).of(5)
  await client.move(label).toLine("staves.2")
  await client.move(label).of(5)
  await client.move(label).toLine("staves.1")
  await client.change(label).toType("S")
  await client.move(label).of(5)
  await client.move(label).toLine("bot.1")
  await client.move(label).of(5)
  await client.move(label).toLine("bot.2")
  await client.change(label).toType("Cadence")
  await client.move(label).of(5)
  await client.move(label).toLine("bot.3")
  client.disconnect()
}

main()
